import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class AssignTagsErrorMessages extends StatelessWidget {
  const AssignTagsErrorMessages({super.key, required this.errorMessages});

  final List<String> errorMessages;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(top: 16),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: errorMessages
            .map(
              (error) => Text(
                '- $error',
                style: context.textTheme.bodyMedium?.copyWith(
                  color: context.theme.colorScheme.error,
                ),
              ),
            )
            .toList(),
      ),
    );
  }
}
