import 'package:syncrow_web/pages/space_management_v2/modules/space_details/domain/models/space_details_model.dart';

class UpdateSpaceParam {
  UpdateSpaceParam({
    required this.space,
    required this.communityUuid,
  });

  final SpaceDetailsModel space;
  final String communityUuid;

  Map<String, dynamic> toJson() {
    return {
      'spaceName': space.spaceName,
      'icon': space.icon,
      'subspaces': space.subspaces
          .map(
            (e) => {
              'subspaceName': e.name,
              'productAllocations': e.productAllocations
                  .map(
                    (e) => {
                      'name': e.tag.name,
                      'productUuid': e.product.uuid,
                      'uuid': e.uuid,
                    },
                  )
                  .toList(),
              'uuid': e.uuid,
            },
          )
          .toList(),
      'productAllocations': space.productAllocations
          .map(
            (e) => {
              'tagName': e.tag.name,
              'tagUuid': e.tag.uuid,
              'productUuid': e.product.uuid,
            },
          )
          .toList(),
      'spaceModelUuid': space.uuid,
    };
  }
}
